Bug 150563 - bugfix for /usr/ports/lang/p5-JavaScript-SpiderMonkey (wrong email address in prev report)
Summary: bugfix for /usr/ports/lang/p5-JavaScript-SpiderMonkey (wrong email address in...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-14 19:40 UTC by pe
Modified: 2010-11-17 13:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pe 2010-09-14 19:40:01 UTC
The port does not compile, the port /usr/ports/lang/spidermonkey is installed. 

This is the result:

 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 This module requires the SpiderMonkey C library -- please read the
 README file on how to download, compile and link it.
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

 Can't open Makefile: No such file or directory.
 ===>  Building for p5-JavaScript-SpiderMonkey-0.20
 make: cannot open Makefile.
 *** Error code 1

 Stop in /usr/ports/lang/p5-JavaScript-SpiderMonkey.

Fix: 

Make changes to Makefile.PL, comment out 5 lines starting at line # 74:


74         foreach my $headerfile(glob "$include_path/*/$c_header") {
75           my $include_dir = $headerfile;
76           $include_dir =~ s/$c_header$//;
77           push @JS_INCL_DIRS, $include_dir;
78         }


it could be coded better to search header files in $include_path sub-directories.

The port also has options

   E4X             - JS language extesions
   JS_THREADSAFE   - Multi threading

it should be better to show the options dialog when installing. To use options with Makefile.PL:

   perl Makefile.PL E4X JS_THREADSAFE
Comment 1 Edwin Groothuis freebsd_committer 2010-09-14 19:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-09-22 23:53:38 UTC
Responsible Changed
From-To: perl->pgollucci

I'll take it.
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-24 07:24:23 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 4 dfilter service freebsd_committer 2010-11-17 13:03:41 UTC
arved       2010-11-17 13:03:36 UTC

  FreeBSD ports repository

  Added files:
    lang/p5-JavaScript-SpiderMonkey/files patch-Makefile.PL 
  Log:
  Comment out lines in Makefile.PL to fix generation of Makefile
  
  PR:             150563
  Submitted by:   pe <freethread.sw@gmail.com>
  
  Revision  Changes    Path
  1.1       +14 -0     ports/lang/p5-JavaScript-SpiderMonkey/files/patch-Makefile.PL (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Tilman Keskinoz freebsd_committer 2010-11-17 13:03:48 UTC
State Changed
From-To: open->closed

committed, thanks